<?php

namespace Util;

use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Util\InstanceNames;

class InstanceProvider {
    
    public static function getInstance(string $instanceName) {
        return InstanceManager::getInstance()->getService($instanceName);
    }
    
    public static function getMarcacaoServiceInstance() {
        return self::getInstance(InstanceNames::MARCACAO_SERVICE);
    }
}